Bug 1340158 - email notifications no longer working
Summary: email notifications no longer working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: retrace-server
Version: el6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Dave Wysochanski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-26 14:40 UTC by Dave Wysochanski
Modified: 2017-04-18 21:18 UTC (History)
3 users (show)

Fixed In Version: retrace-server-1.16-1.fc23 retrace-server-1.17.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-11 20:27:11 UTC


Attachments (Terms of Use)
patch to fix this bug (1.51 KB, text/plain)
2016-05-26 18:05 UTC, Dave Wysochanski
no flags Details
patch to fix this bug (1.27 KB, text/plain)
2016-05-26 18:05 UTC, Dave Wysochanski
no flags Details

Description Dave Wysochanski 2016-05-26 14:40:58 UTC
Description of problem:
we no longer get email notifications but instead the retrace-log has this:
    2016-05-26 10:31:13 Sending e-mail to foo@example.com
   2016-05-26 10:31:13 Failed to send e-mail: global name 'taks' is not defined


Version-Release number of selected component (if applicable):
retrace-server-1.15-1.el6.noarch

How reproducible:
every time

Steps to Reproduce:
1. submit a vmcore to retrace server

Actual results:
error in retrace-log, no email sent

Expected results:
no error in retrace-log, email sent

Additional info:
There's an obvious typo that slipped into retrace_worker.py - not sure how it got missed...
$ grep taks src/lib/*
src/lib/retrace_worker.py:                if taks.has_log():
src/lib/retrace_worker.py:                if taks.has_log():

I'll fix this up and test, then send a patch.

Comment 1 Dave Wysochanski 2016-05-26 17:59:27 UTC
After the first patch to fix the typo, there is a second bug where a task that fails due to unable to determine kernel version will send duplicate emails.  I'll include the second patch in the set and send it for review.

Comment 2 Dave Wysochanski 2016-05-26 18:05:14 UTC
Created attachment 1162233 [details]
patch to fix this bug

Comment 3 Dave Wysochanski 2016-05-26 18:05:16 UTC
Created attachment 1162234 [details]
patch to fix this bug

Comment 4 Dave Wysochanski 2016-05-26 18:06:17 UTC
Posted to upstream github https://github.com/abrt/retrace-server/pull/117

Comment 5 Fedora Update System 2016-06-03 09:46:07 UTC
retrace-server-1.16-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4cd8a3c0e5

Comment 6 Fedora Update System 2016-06-03 09:46:18 UTC
retrace-server-1.16-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-81eb6f786a

Comment 7 Fedora Update System 2016-06-03 09:46:34 UTC
retrace-server-1.16-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d84c5abe3f

Comment 8 Fedora Update System 2016-06-03 09:46:43 UTC
retrace-server-1.16-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2e49e9538e

Comment 9 Fedora Update System 2016-06-04 18:26:28 UTC
retrace-server-1.16-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-81eb6f786a

Comment 10 Fedora Update System 2016-06-05 03:58:46 UTC
retrace-server-1.16-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d84c5abe3f

Comment 11 Fedora Update System 2016-06-05 07:18:18 UTC
retrace-server-1.16-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4cd8a3c0e5

Comment 12 Fedora Update System 2016-06-05 07:51:47 UTC
retrace-server-1.16-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2e49e9538e

Comment 13 Dave Wysochanski 2016-06-07 09:18:46 UTC
I checked retrace-server-1.16-1.el6 and email notifications are now working.  I checked both a 'failed' task as well as a 'success' task.

Comment 14 Fedora Update System 2016-06-13 20:55:52 UTC
retrace-server-1.16-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-07-01 06:19:23 UTC
retrace-server-1.16-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2e49e9538e

Comment 16 Fedora Update System 2016-07-01 06:19:52 UTC
retrace-server-1.16-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-81eb6f786a

Comment 17 Fedora Update System 2016-07-01 07:57:04 UTC
retrace-server-1.16-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4cd8a3c0e5

Comment 18 Fedora Update System 2016-07-02 20:17:23 UTC
retrace-server-1.16-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4cd8a3c0e5

Comment 19 Fedora Update System 2016-07-02 20:21:15 UTC
retrace-server-1.16-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2e49e9538e

Comment 20 Fedora Update System 2016-07-02 20:31:25 UTC
retrace-server-1.16-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-81eb6f786a

Comment 21 Fedora Update System 2017-03-30 14:11:28 UTC
retrace-server-1.17.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3d55370e77

Comment 22 Fedora Update System 2017-03-30 14:12:18 UTC
retrace-server-1.17.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9390d60e0d

Comment 23 Fedora Update System 2017-03-31 03:47:43 UTC
retrace-server-1.17.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9390d60e0d

Comment 24 Fedora Update System 2017-03-31 03:49:04 UTC
retrace-server-1.17.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3d55370e77

Comment 25 Fedora Update System 2017-04-18 21:18:39 UTC
retrace-server-1.17.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.